commit:     fb57447f5629538c96bafde82d0d2f4283a28f38
Author:     Matt Jolly <Matt.Jolly <AT> footclan <DOT> ninja>
AuthorDate: Sun Sep  3 06:50:45 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Sep 18 07:38:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb57447f

app-misc/elasticsearch: add 8.9.1

Signed-off-by: Matt Jolly <Matt.Jolly <AT> footclan.ninja>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-misc/elasticsearch/Manifest                   |   1 +
 app-misc/elasticsearch/elasticsearch-8.9.1.ebuild | 102 ++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/app-misc/elasticsearch/Manifest b/app-misc/elasticsearch/Manifest
index 14e8243807dd..ca7fb74417f5 100644
--- a/app-misc/elasticsearch/Manifest
+++ b/app-misc/elasticsearch/Manifest
@@ -2,3 +2,4 @@ DIST elasticsearch-7.17.10-no-jdk-linux-x86_64.tar.gz 167971427 
BLAKE2B 867f89a3
 DIST elasticsearch-7.17.12-no-jdk-linux-x86_64.tar.gz 168734453 BLAKE2B 
b99f4df4da2a3fd1e1ecbc126148e9e2f95111a1d34bc8b6a3cc8960c33937230058cdacfd0b3e56a50db1062b5aca87f1afd9055929ac39b660b5e3715f4fce
 SHA512 
5b6c7614c2629fdfa6c9fe9866518cd38abad0244bf7c56d8fba3894bd0493403ded0f581783deded85287cf1e97b18f45f1ffb182d3dc5ca9c96471276d64d1
 DIST elasticsearch-7.17.9-no-jdk-linux-x86_64.tar.gz 167832902 BLAKE2B 
9d0134fe397a5153da4936b5ac083c677a676d1a208f65a85c2c8db82cf0588d1180aeb039ed28c13161ff8fcf5bc11b0fc099f9f21d6da08e50fe0bb7f83565
 SHA512 
e2c6094377ed2ada0650864b7c30386467b920770b93e6f19d1448635f7f2024fbaebd619ba683ed4c1b5dc8e67f2396183d81598a5e610ca2879ea3cd8dba32
 DIST elasticsearch-8.7.1-linux-x86_64.tar.gz 597973777 BLAKE2B 
6328c11c33ea1e067c6c19afb09a7f5a39fc1cd44dd9c2b51253cf15d847463a5f0311d29785aeddab64ee00fd949a5a8f91f86794e70e4ff22c1bfb9094f29c
 SHA512 
40216fff8f6f827164bda1ecbdcbdc30f202ef9cb8a936c60e52f16a0b6c1bfbdc884fe11d8bbebd8336507aa8ed2f0202b3b61f876d17f4a97ee9fc21f9e3be
+DIST elasticsearch-8.9.1-linux-x86_64.tar.gz 605708895 BLAKE2B 
b0bbd9b6dc02ab5718616084373bf88b2de0314e6c53c9877074369ad0a122f8e225952eaaf7d72ef8762294443e0bdecf5d32387410c85a5d89432ed8b1f890
 SHA512 
7df7b904eacc1345ba5cbab2c933e783803ece9c8ffd4a19d3a1ab3dd883be9fbad2ca752976ca28da002253c050696295077707b3ca29088b7ed583d92444f5

diff --git a/app-misc/elasticsearch/elasticsearch-8.9.1.ebuild 
b/app-misc/elasticsearch/elasticsearch-8.9.1.ebuild
new file mode 100644
index 000000000000..30abfdf800ac
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-8.9.1.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd tmpfiles
+
+DESCRIPTION="Free and Open, Distributed, RESTful Search Engine"
+HOMEPAGE="https://www.elastic.co/elasticsearch/";
+SRC_URI="https://artifacts.elastic.co/downloads/${PN}/${P}-linux-x86_64.tar.gz";
+
+LICENSE="Apache-2.0 BSD-2 Elastic-2.0 LGPL-3 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="acct-group/elasticsearch
+       acct-user/elasticsearch"
+RDEPEND="acct-group/elasticsearch
+       acct-user/elasticsearch
+       sys-libs/zlib
+       virtual/jre:17"
+
+QA_PREBUILT="usr/share/elasticsearch/modules/x-pack-ml/platform/linux-x86_64/\(bin\|lib\)/.*"
+QA_PRESTRIPPED="usr/share/elasticsearch/modules/x-pack-ml/platform/linux-x86_64/\(bin\|lib\)/.*"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-env.patch"
+)
+
+src_prepare() {
+       default
+
+       rm -rf jdk || die
+       sed -i -e "s:logs/:${EPREFIX}/var/log/${PN}/:g" config/jvm.options || 
die "Unable to set Elasticsearch log location"
+       # elasticsearch-env sets the envvar for the config location if not 
specified elsewhere;
+       # certain utilities try and source this. Although we patch ES_JAVA_HOME 
for Gentoo slightly earlier,
+       # it's easier to respect EPREFIX for the config location using sed.
+       sed -i 
"s:ES_PATH_CONF=\"\$ES_HOME\"/config:ES_PATH_CONF=\"${EPREFIX}/etc/${PN}\":" 
bin/elasticsearch-env  \
+               || die "Unable to set Elasticsearch config directory"
+       rm LICENSE.txt NOTICE.txt || die
+       rmdir logs || die
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins -r config/.
+       rm -r config || die
+
+       fowners -R root:${PN} /etc/${PN}
+       fperms -R 2750 /etc/${PN}
+
+       insinto /usr/share/${PN}
+       doins -r .
+
+       keepdir /usr/share/${PN}/plugins
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}"/elasticsearch-systemd-pre-exec
+
+       fperms -R +x /usr/share/${PN}/bin
+       fperms -R +x 
/usr/share/${PN}/modules/x-pack-ml/platform/linux-x86_64/bin
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.4" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.8" ${PN}
+
+       systemd_install_serviced "${FILESDIR}/${PN}.service.conf"
+       systemd_newunit "${FILESDIR}"/${PN}.service.4 ${PN}.service
+
+       newtmpfiles "${FILESDIR}"/${PN}.tmpfiles.d ${PN}.conf
+}
+
+pkg_postinst() {
+       # Elasticsearch will choke on our keep file and dodir will not preserve 
the empty dir
+       local KEEPFILE
+       KEEPFILE=$(find "${EROOT}/usr/share/${PN}/plugins/" -type f -name 
'.keep*')
+       rm "${KEEPFILE}" || die
+       tmpfiles_process /usr/lib/tmpfiles.d/${PN}.conf
+       if ! systemd_is_booted ; then
+               elog "You may create multiple instances of ${PN} by"
+               elog "symlinking the init script:"
+               elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+               elog
+               elog "Please make sure you put elasticsearch.yml, 
log4j2.properties and scripts"
+               elog "from /etc/${PN} into the configuration directory of the 
instance:"
+               elog "/etc/${PN}/instance"
+               elog
+       fi
+       ewarn "Please make sure you have proper permissions on /etc/${PN}"
+       ewarn "prior to keystore generation or you may experience startup 
failures."
+       ewarn "chown root:${PN} /etc/${PN} && chmod 2750 /etc/${PN}"
+       ewarn "chown root:${PN} /etc/${PN}/${PN}.keystore && chmod 0660 
/etc/${PN}/${PN}.keystore"
+}

Reply via email to